--望州城
--道具环

--脚本号
x103011_g_scriptId=103011
--环任务id MissionRoundConfigId
x103011_g_missionRoundConfigId = 13
--任务最低等级
x103011_g_MinLevel=70
--事件交互入口
--1转副本任务
x103011_g_Level1MissionId=3008
--2转副本任务
x103011_g_Level2MissionId=3028
--3转副本任务
x103011_g_Level3MissionId=3051

function x103011_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	local processingLevel = GetProcessingChangeJobLevel(scene,selfId)
	local IsProccessingChangeJob =IsPrcossingChangeJob(scene,selfId)
	local bMissionText = false
	if IsProccessingChangeJob then
		if processingLevel==1 and GetMissionState(scene,selfId,x103011_g_Level1MissionId)==1 then
            AddText(scene,"[d5e4f0]厄煞可以融合[5fffb9]狂獸血脈[-]，交戰的時候一定不能掉以輕心，準備好了嗎？[-]")
            AddNumText(scene,x103011_g_scriptId,"一轉歷練",-1,101)
            bMissionText=true
		elseif processingLevel==2 and GetMissionState(scene,selfId,x103011_g_Level2MissionId)==1 then
            AddText(scene,"[d5e4f0]靈罡巨獸有[5fffb9]靈罡護體[-]，必須要破除靈罡才能真正的打敗它，你準備好了嗎？[-]")
		    AddNumText(scene,x103011_g_scriptId,"二轉歷練",-1,102)
		    bMissionText=true
		elseif processingLevel==3 and GetMissionState(scene,selfId,x103011_g_Level3MissionId)==1 then
            AddText(scene,"[d5e4f0]到了最後一步了，準備好了嗎？ 你只要通過考驗就能真正蛻變，我相信你一定能夠成功！[-]")
		    AddNumText(scene,x103011_g_scriptId,"三轉歷練",-1,103)
		    bMissionText=true
		end
	end

	if bMissionText==false then
        AddText(scene,"[d5e4f0]艱難的歷練，是修行之路上必不可少的。[-]")
	end
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x103011_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==101 then
		GotoCopyScene(scene,selfId,750)
	elseif index==102 then
		GotoCopyScene(scene,selfId,751)
	elseif index==103 then
		GotoCopyScene(scene,selfId,752)
	end
end